Subject: devicetree in arm

From: [email-masked] (Bill Gatliff)
Date: Thu, 18 Mar 2010 15:24:23 -0500

Russell King - ARM Linux wrote:
> On Thu, Mar 18, 2010 at 07:14:05AM -0600, Grant Likely wrote:
>   
>> ARM device tree support is very much in flux, and that particular
>> branch gets rebased a lot as device tree code from Sparc, Microblaze
>> and Powerpc is merged into drivers/of.  I may have ended up pushing
>> out to test-devicetree without the ARM patches applied.  I'll look at
>> it today, make sure the ARM stuff is all there, and then push it out
>> again.
>>
>> Note however that this is only very basic support.  It doesn't yet
>> have the code needed to register devices and drivers from device tree
>> data.  That will be coming real-soon-now.
>>     
>
> Is someone going to do a device tree example port to a 'real' platform
> rather than simple the ARM evaluation boards?
>
> As I've said previously, I'm not going to accept device tree stuff until
> I see a working implementation on a set of real platforms.
>   

I can give it a spin on a couple of the boards I have here.  I'm already
using device trees on my PPC platforms.

b.g.

-- 
Bill Gatliff
bgat at billgatliff.com